using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp10
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[]s=Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            long L = long.Parse(s[1]);


            s = Console.ReadLine().Split();
            for (int i=0; i<N; i++)
            {
                
                long H1 = long.Parse(s[i]);
                if(H1<=L)
                {
                    Console.WriteLine(i+1 );
                    break;
                }
                if (i == N - 1)
                {
                    Console.WriteLine(" -1");
                }    
            }
        }
    }
}